import { AppConfig, ServiceRegister } from "../src";

const config: AppConfig = {
  etcd: {
    hosts: "http://rpi:2379",
  },
};

const register = new ServiceRegister(config);

register
  .register("example.configuration.fennec", "https://ivanli.cc")
  .then(() => {
    console.log("registered!");
  })
  .catch((error) => {
    console.warn("failed!");
    console.error(error);
  });
